V9.0

get

/ec-dc-svc/rest/v9.0/studies/{studyId}/{mode}/subjects/sitestudyversion

Retrieves a list of subject and also searches for subjects based on input parameters. This API request returns mHealthSubjectId as part of the response body for the sites having a study version. Also filters subject based on site and state. The supported parameters are 'readyToSign', 'readyToVerify', 'signed', 'verified', 'freezed' and 'signedandverified'. Use v9 to get operational fields that support replacement-randomization including additional fields replaceRand, unResolvedQueries, incompleteVisits, canBeReplaced, canBeUndoWithdrawn

Request

Path Parameters
  • Indicates the operational mode of the study. Accepted values: active, test, or training.
    Example:
    active
  • Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example:
    ABCDEF1234567890ABCDEF1234567890
Query Parameters
  • List of search words containing the subject number.
    Example:
    [
        "SUBJ"
    ]
  • List of search words matching exactly the subject number.
    Example:
    [
        "SUBJ-001",
        "SUBJ-002"
    ]
  • Minimum Value: 0
    Maximum number of records to display per page.
    Example:
    25
  • Minimum Value: 0
    An order number to specify with which object you want to start retrieving result. If provided, you also need to specify a value for the limit parameter.
    Example:
    0
  • asc or desc
    Example:
    ASC
  • Review status filter applied to subjects.values can be noopenqueries, openqueries, verified, signed, locked, allvisitscomplete, readytosign, allvisitscomplete, readytoverify
    Example:
    ALL
  • Status of Sign / Verify.
    Example:
    ALL
  • Unique identifier of the site. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example:
    [\"ABCDEF1234567890ABCDEF1234567891\"]
  • States of subjects to filter by Active, New, Screening_Initiated, Enrolled, Complete, Withdrawn, ehrLinked, ehrNotLinked, Screen_Failed, Auto_Screen_Failed
    Example:
    [
        "Active",
        "Screened"
    ]

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Success
Body ()
Root Schema : schema
Type: array
Show Source
Nested Schema : SubjectRespDto14
Type: object
Subject response details including fields like replacement randomization, unresolved queries etc..
Show Source
Examples

400 Response

Bad request.
Body ()
Root Schema : DcsResponse
Type: object
Show Source
Nested Schema : ErrorResponseData
Type: object
Title: ErrorResponseData
Error Response Details Information
Show Source
  • Object
    Title: Object
    Object with error details information.
  • Error code which is stored in ErrorCode enum. Example : C1-003
    Example: C1-003
  • Error message which is stored in service property file. Example : Cannot modify object after a study version has been approved
    Example: Cannot modify object after a study version has been approved
Nested Schema : result
Type: object
Nested Schema : Object
Type: object
Title: Object
Object with error details information.
Example:
{
    "field":"studyId",
    "reason":"Invalid value"
}
Back to Top